Reference for Processing version 1.5. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name

### saturation()

Examples

    noStroke();
    colorMode(HSB, 255);
    color c = color(0, 126, 255);
    fill(c);
    rect(15, 20, 35, 60);
    float value = saturation(c);  // Sets "value" to "126"
    fill(value);
    rect(50, 20, 35, 60);

Description | Extracts the saturation value from a color.

Syntax

    saturation(color)

Parameters

color | any value of the color datatype

Returns | float
Usage | Web & Application
Related | red() green() blue() hue() brightness()

Updated on August 30, 2010 04:29:39pm EDT